/*
 * GccApplication1.c
 *
 * Created: 22/03/2020 00:40:30
 * Author : Quentin Bolsee
 */ 

// 20MHz with prescaler of 2 = 10MHz
#define F_CPU 10000000UL

#include <avr/io.h>
#include <util/delay.h>
#include <avr/xmega.h>

int main(void) {
	// set the prescaler to 2
	_PROTECTED_WRITE(CLKCTRL_MCLKCTRLB, CLKCTRL_PEN_bm);
	
	// configure all output pins
	PORTA_DIR = 0b11110000;
	PORTB_DIR = 0b00001111;

	// local variables
	char i = 0;
	char j = 0;

	// main loop
    while (1)  {
		_delay_ms(10);
		i++;
		if (i == 25) {
			// tick every 1/4s = 250ms
			j++;
			// reset every 60s = 240 ticks
			if (j == 240) {
				j = 0;
			}
			// output to LED
			PORTA_OUT = j & 0b11110000;
			PORTB_OUT = j & 0b00001111;
			i = 0;
		}
    }
	return 1;
}
